Subject: Re: bug#12492: Acknowledgement (24.2.50; Open vc-dir buffer easier and faster)

From: Eli Zaretskii <[email-masked]>
Date: Tue, 10 Mar 2020 20:18:23 +0200

> Cc: [email-masked], [email-masked], [email-masked]
> From: Dmitry Gutov <[email-masked]>
> Date: Tue, 10 Mar 2020 00:47:36 +0200
> 
> On 09.03.2020 19:24, Eli Zaretskii wrote:
> 
> > I don't think having commands to create a project is really
> > necessary.  If a project can be "created" by some external command,
> > like by placing some special file in the project root, or even by
> > defining a few Emacs variables, that is enough.
> 
> 'git init' would do the trick. No extra files (for the VC project 
> backend, at least), nor having to change any variables.
> 
> >> I disagree about useless, since most users deal with existing projects
> >> 99% of the time.
> > 
> > In Emacs?  Can you give examples of such existing projects,
> 
> An Emacs repository checkout itself, for instance? Or about any other 
> project where VC recognizes a root.
> 
>  > and how
>  > users could use the commands we are discussing with those projects?
> 
> With 'M-x project-find-file' or 'M-x project-find-regexp' while being 
> inside the directory tree of any of such projects.

OK, my misunderstanding: I asked all those questions because I thought
you were saying these commands are used with projects other than VC
projects.